Package org.springframework.web.servlet.mvc.method.annotation

# Class ServletWebArgumentResolverAdapter

java.lang.Object
org.springframework.web.method.annotation.AbstractWebArgumentResolverAdapter
org.springframework.web.servlet.mvc.method.annotation.ServletWebArgumentResolverAdapter

All Implemented Interfaces:
  `org.springframework.web.method.support.HandlerMethodArgumentResolver`

public class ServletWebArgumentResolverAdapter extends org.springframework.web.method.annotation.AbstractWebArgumentResolverAdapter
A Servlet-specific `AbstractWebArgumentResolverAdapter` that creates a `NativeWebRequest` from `ServletRequestAttributes`.

Note: This class is provided for backwards compatibility. However it is recommended to re-write a `WebArgumentResolver` as `HandlerMethodArgumentResolver`. For more details see javadoc of `AbstractWebArgumentResolverAdapter`.

Since:
  3.1
Author:
  Rossen Stoyanchev

## Constructor Summary

Constructors
Constructor
Description
`ServletWebArgumentResolverAdapter(org.springframework.web.bind.support.WebArgumentResolver adaptee)`

## Method Summary

Modifier and Type
Method
Description
`protected org.springframework.web.context.request.NativeWebRequest`
`getWebRequest()`

### Methods inherited from class org.springframework.web.method.annotation.AbstractWebArgumentResolverAdapter

`resolveArgument, supportsParameter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServletWebArgumentResolverAdapter

public ServletWebArgumentResolverAdapter(org.springframework.web.bind.support.WebArgumentResolver adaptee)

## Method Details

### getWebRequest

protected org.springframework.web.context.request.NativeWebRequest getWebRequest()

Specified by:
  `getWebRequest` in class `org.springframework.web.method.annotation.AbstractWebArgumentResolverAdapter`